Page MenuHomePhabricator

MobileFrontend extension does not support LdapAuthentication
Closed, ResolvedPublic

Description

Author: mnewton

Description:
I don't know if this is a problem with LdapAuthentication or MobileFrontend, but the domain selection dropdown doesn't appear on the mobile login page. Since there is no option to change the login page to "Desktop view" the wiki becomes unavailable to anyone trying to log in.


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=63460

Details

Reference
bz63328

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:01 AM
bzimport set Reference to bz63328.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Mar 31 2014, 9:14 PM

This is a bug with MobileFrontend.

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1826

This is a side effect of the fact that we are overriding the login form normally provided by core. In the near future, we will be removing this and relying on the forms provided by core, which will resolve this issue.

mnewton wrote:

How near is near future? Should I expect to be able to deploy this within the next couple of weeks? Thanks!

(In reply to Michael Newton from comment #4)

How near is near future? Should I expect to be able to deploy this within
the next couple of weeks? Thanks!

We reevaluated the priorities of our backlog yesterday, and we won't get to this for a long time - unless someone decides to pick this up in their experimentation or free time.

That said, patches welcome from anywhere if you want to try and take a stab at it :)

ellertalexandre wrote:

I'm affected too. +1 for increase priority :)

Thanks.

This should be working in alpha now. If it's not we will need to tweak the MediaWiki-extensions-LdapAuthentication extension. Is anyone able to test this? I'm happy to help.

Is anyone able to test this? I'm happy to help.

Tested and works. What do we do with this task, until we finished our work to bring the alpha (cores) Special:UserLogin to stable?

Three possible options:

  • Update Wikimedia config to enable overriden login form (and make false the default)
  • Nothing and advise people to turn on this config variable
  • Update ldap extension to force this value to true

Change 231146 had a related patch set uploaded (by Jdlrobson):
Use core login form

https://gerrit.wikimedia.org/r/231146

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2015, 10:43 PM
kaldari removed a subscriber: kaldari.Aug 12 2015, 11:41 PM
MaxSem removed a subscriber: MaxSem.Aug 18 2015, 5:11 PM
Florian closed this task as Resolved.Sep 3 2015, 9:34 PM
Florian claimed this task.

Change 231146 merged by jenkins-bot:
Use core login form

https://gerrit.wikimedia.org/r/231146